c  Version 1.5  5/2/94  Microsoft Fortran 5.1
c----------------------------------------------------------------------
c                    =========================
c                       subroutine GETIDS
c                    =========================
c
c  Returns a list of filenames in array <files> in common /filcom/
c  Optionally uses UNIX command line parameter convention
c
c  Includes:
c     stddim.inc
c     stdio.inc
c     fnames.inc
c
c  Uses Microsoft Fortran-specific functions NARGS() and GETARG.
c
c  Written by David E. Budil and Sanghyuk Lee, Cornell University
c----------------------------------------------------------------------
      subroutine getids(n,limit)
      integer n,limit
c
      include 'stddim.inc'
      include 'stdio.inc'
      include 'fnames.inc'
c
      integer numargs
      character deflgs*10,arg*30
c
c Code between dotted lines is intended for 
c operatings systems that provide program access
c to the command line
c...............................................
c
c  set the initial defaults for each flag
c
      rdflg=.false.
      stmflg=.false.
      stvflg=.false.
      tdlflg=.false.
      savflg=.false.
c
      deflgs=' '
      numargs=nargs()-1
      n=0
c
      if (numargs.gt.0) then
         do 5 i=1,numargs
            call getarg(i,arg,ierr)
            if (arg(1:1) .eq. '-' .or. arg(1:1).eq.'+') then
               deflgs=arg
            else
               n=n+1
               if (n.gt.limit) return
               files(n)=arg
               flags(n)=deflgs
            endif
  5       continue
      else
c..................................................
c
 15     write (luttyo,1020)
        read (luttyi,1030,err=15) arg
        if (arg.eq.' ') return
        if (arg(1:1) .eq. '-' .or. arg(1:1) .eq.'+') then
           deflgs=arg
        else
           n=n+1
           if (n.gt.limit) return
           files(n)=arg
           flags(n)=deflgs
        endif
        goto 15
c
c Code between dotted lines is intended for 
c operatings systems that provide program access
c to the command line
c..................................................
      end if
c..................................................
c
      return
c
c######################################################################
c  Format statements
c######################################################################
c
 1020 format(2x,'Please enter file identifier (<CR> to end): '\)
 1030 format(a)
      end
